Bug 174613 - WebDriver: implement cookies commands
Summary: WebDriver: implement cookies commands
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: gtk-webdriver
  Show dependency treegraph
 
Reported: 2017-07-18 00:28 PDT by Carlos Garcia Campos
Modified: 2017-08-28 04:57 PDT (History)
4 users (show)

See Also:


Attachments
Patch (23.31 KB, patch)
2017-08-16 09:11 PDT, Carlos Garcia Campos
bburg: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2017-07-18 00:28:39 PDT
https://www.w3.org/TR/webdriver/#cookies
Comment 1 Carlos Garcia Campos 2017-08-16 09:11:46 PDT
Created attachment 318263 [details]
Patch
Comment 2 Build Bot 2017-08-16 09:13:45 PDT
Attachment 318263 [details] did not pass style-queue:


ERROR: Source/WebDriver/Session.h:107:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:108:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:109:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:110:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.h:111:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1283:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1300:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1367:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1396:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/WebDriverService.cpp:1419:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/WebDriverService.h:103:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/WebDriverService.h:104:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/WebDriverService.h:105:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/WebDriverService.h:106:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/WebDriverService.h:107:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:1778:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:1824:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:1848:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:1873:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebDriver/Session.cpp:1898:  Extra space before ( in function call  [whitespace/parens] [4]
Total errors found: 20 in 7 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 BJ Burg 2017-08-18 12:23:37 PDT
Comment on attachment 318263 [details]
Patch

r=me
Comment 4 Carlos Garcia Campos 2017-08-28 04:53:06 PDT
Committed r221241: <http://trac.webkit.org/changeset/221241>
Comment 5 Radar WebKit Bug Importer 2017-08-28 04:57:18 PDT
<rdar://problem/34108580>